=== debian/changelog ===
golang-github-evanw-esbuild (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update esbuild(1) man page to 0.17.0
  * Rename internal/bundler/snapshots to internal/bundler_tests/snapshots
    since v0.16.8; see upstream commit 24f361e192cdc89fe2529a96c32a039a2e59b7fc
  * Adapt to upstream Node.js package name changes since v0.16.0
    e.g. esbuild-linux-64 => @esbuild/linux-x64;
    see commit 157860b4f12dd9c69b60f7ed25387369acc4a2c1
  * Add debian/esbuild.docs to install README.md and CHANGELOG*.md files

 -- Anthony Fok <foka@debian.org>  Fri, 27 Jan 2023 02:40:46 -0700
