## golang-github-evanw-esbuild 0.17.19

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.19\.4 ' || (echo 'Please install Go version 1.19.4' && false)
+	@go version | grep ' go1\.20\.4 ' || (echo 'Please install Go version 1.20.4' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -40,7 +40,7 @@
 # variable like this: "ESBUILD_RACE=-race make test". Or you can permanently
 # enable it by adding "export ESBUILD_RACE=-race" to your shell profile.
 test-go:
-	go test $(ESBUILD_RACE) ./internal/...
+	go test $(ESBUILD_RACE) ./internal/... ./pkg/...
 
 vet-go:
 	go vet ./cmd/... ./internal/... ./pkg/...
@@ -107,9 +107,16 @@
 node-unref-tests: | scripts/node_modules
 	node scripts/node-unref-tests.js
 
-lib-typecheck: | lib/node_modules
+lib-typecheck: lib-typecheck-node lib-typecheck-deno
+
+lib-typecheck-node: | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig.json
+
+lib-typecheck-deno: lib/deno/lib.deno.d.ts | lib/node_modules
 	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-deno.json
+
+lib/deno/lib.deno.d.ts:
+	deno types > lib/deno/lib.deno.d.ts
 
 # End-to-end tests
 test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry test-e2e-deno
@@ -232,11 +239,3 @@
 #
 # To avoid this problem, we now always run this step regardless of mtime status.
 # This step still avoids writing to "cmd/esbuild/version.go" if it already has
-# the correct contents, so it won't unnecessarily invalidate anything that uses
-# "cmd/esbuild/version.go" as a dependency.
-version-go:
-	node scripts/esbuild.js --update-version-go
-
-platform-all:
-	@$(MAKE) --no-print-directory -j4 \
-		platform-android-arm \
