=== debian/changelog ===
golang-github-evanw-esbuild (0.17.19-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:47:09 +0530

golang-github-evanw-esbuild (0.17.19-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:10 +1200

golang-github-evanw-esbuild (0.17.19-1) unstable; urgency=medium

  * New upstream version 0.17.19
  * Update esbuild(1) man page to 0.17.19

 -- Anthony Fok <foka@debian.org>  Sun, 18 Jun 2023 00:14:13 -0600
