## golang-github-evanw-esbuild 0.19.5

=== debian/changelog ===
golang-github-evanw-esbuild (0.19.5-1) unstable; urgency=medium

  * New upstream version 0.19.5
  * Update esbuild(1) man page to 0.19.5

 -- Anthony Fok <foka@debian.org>  Sun, 05 Nov 2023 20:14:07 -0700

golang-github-evanw-esbuild (0.19.3-1) unstable; urgency=medium

  * New upstream version 0.19.3
  * Update esbuild(1) man page to 0.19.3

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 10:24:30 -0600

golang-github-evanw-esbuild (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2
  * Update esbuild(1) man page to 0.19.2

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 13:18:55 -0600

golang-github-evanw-esbuild (0.18.17-1) unstable; urgency=medium

  * New upstream version 0.18.17
  * Update esbuild(1) man page to 0.18.17

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:16:36 -0600

golang-github-evanw-esbuild (0.18.11-1) unstable; urgency=medium

  * New upstream version 0.18.11
  * Update esbuild(1) man page to 0.18.11

 -- Anthony Fok <foka@debian.org>  Fri, 22 Sep 2023 09:05:56 -0600

golang-github-evanw-esbuild (0.18.5-1) unstable; urgency=medium

  * New upstream version 0.18.5
  * Update esbuild(1) man page to 0.18.5

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 01:25:02 -0600
