=== debian/changelog ===
golang-github-evanw-esbuild (0.19.8-1) unstable; urgency=medium

  [ Yadd ]
  * Update debian/clean
  * Unfuzz debian/patches/0001-build-wasm-in-GOPATH-mode.patch
  * Build node-esbuild on armel (Closes: #1042455)

  [ Anthony Fok ]
  * New upstream version 0.19.8
  * Update esbuild(1) man page to 0.19.8
  * Update debian/patches/0002-add-armel-arch.patch for 0.19.8

 -- Anthony Fok <foka@debian.org>  Sat, 09 Dec 2023 02:10:53 -0700
