=== debian/changelog ===
golang-github-evanw-esbuild (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Remove 0002-TestGradient-hsl-longer-hue-on-ppc64le-s390x.patch
    as upstream has a much better, complete and proper fix
  * Update esbuild(1) man page to 0.20.1

 -- Anthony Fok <foka@debian.org>  Wed, 21 Feb 2024 09:02:31 -0700

golang-github-evanw-esbuild (0.19.12-2) unstable; urgency=medium

  * Add patch to accommodate TestGradient differences on ppc64le and s390x
    in hsl longer hue interpolation test results;
    see https://github.com/evanw/esbuild/issues/3650

 -- Anthony Fok <foka@debian.org>  Fri, 16 Feb 2024 01:11:50 -0700

golang-github-evanw-esbuild (0.19.12-1) unstable; urgency=medium

  * New upstream version 0.19.12
  * Update esbuild(1) man page to 0.19.12
  * Remove 0002-fix-3569-incorrect-ToInt32-behavior-on-riscv64.patch
    which was previously backported.

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jan 2024 05:30:29 -0700

golang-github-evanw-esbuild (0.19.8-3) unstable; urgency=medium

  * Apply upstream fix #3569: incorrect ToInt32 behavior on riscv64.
    Fixes FTBFS due to test error on riscv64.
    Thanks to upstream author Evan Wallace for the fix in commit f6eae0c!

 -- Anthony Fok <foka@debian.org>  Wed, 03 Jan 2024 12:45:55 -0700

golang-github-evanw-esbuild (0.19.8-2) unstable; urgency=medium

  [ Yadd ]
  * Fix armel install (Closes: #1058784)

 -- Anthony Fok <foka@debian.org>  Sun, 31 Dec 2023 04:37:34 -0700
