=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -10,8 +9,8 @@
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
-Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
-                    npm [!armel !hurd-i386 !powerpc],
+Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
+                    npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -40,9 +39,9 @@
 Section: javascript
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: nodejs [!armel !hurd-i386 !powerpc]
-Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
-          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
+Recommends: nodejs [!hurd-i386 !powerpc]
+Provides: node-esbuild (= ${binary:Version}) [!hurd-i386 !powerpc],
+          node-esbuild-wasm (= ${binary:Version}) [!hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
 Built-Using: ${misc:Built-Using}
