=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
       amd64 => "x64", i386 => "ia32", \
-      arm64 => "arm64", armhf => "arm", armel => "armel", \
+      arm64 => "arm64", armhf => "arm", armel => "arm", \
       mips64el => "mips64el", \
       ppc64el => "ppc64", \
       riscv64 => "riscv64", \
