=== debian/changelog ===
golang-github-evanw-esbuild (0.20.2-1) unstable; urgency=medium

  * New upstream version 0.20.2
  * Update esbuild(1) man page to 0.20.2

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 20:28:41 -0600
