## golang-github-evanw-esbuild 0.21.4

=== debian/changelog ===
golang-github-evanw-esbuild (0.21.4-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 12:58:18 +1000

golang-github-evanw-esbuild (0.21.4-1) unstable; urgency=medium

  * New upstream version 0.21.4
  * Update esbuild(1) man page to 0.21.4
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 06:25:39 -0600
