=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +13,7 @@
 Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
                     npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild
