=== debian/changelog ===
golang-github-evanw-esbuild (0.23.0-1) unstable; urgency=medium

  * New upstream version 0.23.0
  * Update esbuild(1) man page to 0.23.0

 -- Anthony Fok <foka@debian.org>  Sun, 01 Sep 2024 06:24:08 -0600
