=== debian/changelog ===
golang-github-evanw-esbuild (0.25.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix wasm library path with Go1.24 (Closes: #1096251)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 Mar 2025 10:46:16 +0800

golang-github-evanw-esbuild (0.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.0
  * Update esbuild(1) man page to 0.25.0 (no other change)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Feb 2025 23:34:30 +0100
