## golang-github-evanw-esbuild 0.25.1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.23\.5 ' || (echo 'Please install Go version 1.23.5' && false)
+	@go version | grep ' go1\.23\.7 ' || (echo 'Please install Go version 1.23.7' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
