=== debian/changelog ===
golang-github-evanw-esbuild (0.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.1
  * Define NPM_DIR for loong64. Closes: #1100772

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Mar 2025 15:42:48 +0100
