## golang-github-evanw-esbuild 0.25.2

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.2

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 Mar 2025 21:29:05 +0200
