## golang-github-evanw-esbuild 0.25.3

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.3

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Apr 2025 09:53:59 +0200
