=== debian/changelog ===
golang-github-evanw-esbuild (0.25.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.25.5

 -- Jérémy Lal <kapouer@melix.org>  Tue, 27 May 2025 08:07:07 +0200
