=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,12 @@
 
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
-      amd64 => "x64", i386 => "ia32", \
-      arm64 => "arm64", armhf => "arm", armel => "arm", \
+      amd64 => "x64", \
+      i386 => "ia32", \
+      arm64 => "arm64", \
+      armhf => "arm", \
+      armel => "arm", \
+      loong64 => "loong64", \
       mips64el => "mips64el", \
       ppc64el => "ppc64", \
       riscv64 => "riscv64", \
