## golang-github-evanw-esbuild 0.25.9

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.9-2) unstable; urgency=medium

  * Mention other types in long description
  * rules: use node instead of hardcoded map. Lowercase locals.
  * B-D: drop useless npm

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Aug 2025 10:55:59 +0200

golang-github-evanw-esbuild (0.25.9-1) unstable; urgency=medium

  * New upstream version 0.25.9
  * Refresh patch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Aug 2025 10:36:08 +0200
