## golang-github-evanw-esbuild 0.25.10

=== debian/changelog ===
golang-github-evanw-esbuild (0.25.10-1) unstable; urgency=medium

  * New upstream version 0.25.10
  * Update watch version 5

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Sep 2025 09:13:51 +0200
