## golang-github-evanw-esbuild 0.25.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 ESBUILD_VERSION = $(shell cat version.txt)
+GO_VERSION = $(shell cat go.version)
 
 # Strip debug info
 GO_FLAGS += "-ldflags=-s -w"
@@ -20,7 +21,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.23\.8 ' || (echo 'Please install Go version 1.23.8' && false)
+	@go version | grep -F " go$(GO_VERSION) " || (echo 'Please install Go version $(GO_VERSION)' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -50,7 +51,7 @@
 
 no-filepath:
 	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
-		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)
+		echo 'error: Use of "path/filepath" is disallowed. See https://golang.org/issue/43768' && false)
 
 # This uses "env -i" to run in a clean environment with no environment
 # variables. It then adds some environment variables back as needed.
@@ -239,4 +240,3 @@
 	cd e2e-yb && yarn rebuild && yarn rebuild
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 
-	# Test install without scripts
