=== debian/changelog ===
golang-github-evanw-esbuild (0.25.11-1) unstable; urgency=medium

  * New upstream version 0.25.11

 -- Jérémy Lal <kapouer@melix.org>  Wed, 15 Oct 2025 09:08:43 +0200
