=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
 Build-Depends-Arch: nodejs [!hurd-i386 !powerpc],
-                    npm [!hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -25,7 +24,7 @@
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up
- JavaScript and TypeScript code for distribution on the web.
+ JavaScript, TypeScript, JSX, CSS, and others, for distribution on the web.
  .
  Why build another JavaScript build tool?  The current build tools for the web
  are at least an order of magnitude slower than they should be.  It is hoped
@@ -47,7 +46,7 @@
 Built-Using: ${misc:Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
- JavaScript and TypeScript code for distribution on the web.
+ JavaScript, TypeScript, JSX, CSS, and others, for distribution on the web.
  .
  Why build another JavaScript build tool?  The current build tools for the web
  are at least an order of magnitude slower than they should be.  It is hoped
