=== debian/watch ===
Version: 5

Template: Github
Owner: evanw
Project: esbuild
