## golang-github-evanw-esbuild 0.27.0

=== debian/changelog ===
golang-github-evanw-esbuild (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Drop patch applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Tue, 02 Dec 2025 00:18:17 +0100
